<?php 
require_once "../modelos/Persona.php";
if (strlen(session_id())<1) 
	session_start();

$persona	=	new Persona();
$idusuario				=$_SESSION["idusuario"];
$fecha_hora				=date('Y-m-d H:i:s');
$idpersona				=isset($_POST["idpersona"])? limpiarCadena($_POST["idpersona"]):"";
$idpersona2				=isset($_POST["idpersona2"])? limpiarCadena($_POST["idpersona2"]):"";
$tipo_persona			=isset($_POST["tipo_persona"])? limpiarCadena($_POST["tipo_persona"]):"";
$nombre						=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$nombref					=isset($_POST["nombref"])? limpiarCadena($_POST["nombref"]):"";
$tipo_documento		=isset($_POST["tipo_documento"])? limpiarCadena($_POST["tipo_documento"]):"";
$num_documento		=isset($_POST["num_documento"])? limpiarCadena($_POST["num_documento"]):"";
$direccion				=isset($_POST["direccion"])? limpiarCadena($_POST["direccion"]):"";
$telefono					=isset($_POST["telefono"])? limpiarCadena($_POST["telefono"]):"";
$email						=isset($_POST["email"])? limpiarCadena($_POST["email"]):"";
$contribuyente		=isset($_POST["contribuyente"])? limpiarCadena($_POST["contribuyente"]):"no";
$contribuyentep		=isset($_POST["contribuyentep"])? limpiarCadena($_POST["contribuyentep"]):"0";
$resenaendollar		=isset($_POST["resenaendollar"])? limpiarCadena($_POST["resenaendollar"]):"";
$licencia_licor		=isset($_POST["licencia_licor"])? limpiarCadena($_POST["licencia_licor"]):"";
$idlistaprecio		=isset($_POST["idlistaprecio"])? limpiarCadena($_POST["idlistaprecio"]):"";
$idzona         	=isset($_POST["idzona"])? limpiarCadena($_POST["idzona"]):"";
$idvendedor       =isset($_POST["idvendedor"])? limpiarCadena($_POST["idvendedor"]):"";
$idestado					=isset($_POST["idestado"])? limpiarCadena($_POST["idestado"]):"";
$islr							=isset($_POST["islr"])? limpiarCadena($_POST["islr"]):"";
$idpersonaislr		=isset($_POST["idpersonaislr"])? limpiarCadena($_POST["idpersonaislr"]):"no";


// Para la maquila y proveedores estos campos deben definido y vacio
if ($tipo_persona!='Cliente'){
	$nombred					=isset($_POST["nombred"])? limpiarCadena($_POST["nombred"]):"";
	$tipo_documentod	=isset($_POST["tipo_documentod"])? limpiarCadena($_POST["tipo_documentod"]):"";
	$num_documentod		=isset($_POST["num_documentod"])? limpiarCadena($_POST["num_documentod"]):"";
	$direcciond				=isset($_POST["direcciond"])? limpiarCadena($_POST["direcciond"]):"";
	$telefonod				=isset($_POST["telefonod"])? limpiarCadena($_POST["telefonod"]):"";
	$emaild						=isset($_POST["emaild"])? limpiarCadena($_POST["emaild"]):"";
	$licencia_licord	=isset($_POST["licencia_licord"])? limpiarCadena($_POST["licencia_licord"]):"";
}

$tipo_persona1									=isset($_POST["tipo_persona1"])? limpiarCadena($_POST["tipo_persona1"]):"";
if ($tipo_persona!='Cliente'){
	$idtipocadena								=isset($_POST["idtipocadena"])? limpiarCadena($_POST["idtipocadena"]):"";
  $idtipocliente							=isset($_POST["idtipocliente"])? limpiarCadena($_POST["idtipocliente"]):"";
	$idfrecuenciavisita					=isset($_POST["idfrecuenciavisita"])? limpiarCadena($_POST["idfrecuenciavisita"]):"";
	$iddiasdevisita							=isset($_POST["iddiasdevisita"])? limpiarCadena($_POST["iddiasdevisita"]):"";
	$iddiasderecepcion					=isset($_POST["iddiasderecepcion"])? limpiarCadena($_POST["iddiasderecepcion"]):"";
	$idhorarioderecepcion				=isset($_POST["idhorarioderecepcion"])? limpiarCadena($_POST["idhorarioderecepcion"]):"";
	$iddiasdecredito						=isset($_POST["iddiasdecredito"])? limpiarCadena($_POST["iddiasdecredito"]):"";
	//$idestado										=isset($_POST["idestado"])? limpiarCadena($_POST["idestado"]):"";
	$idgerente									=isset($_POST["idgerente"])? limpiarCadena($_POST["idgerente"]):"";
	$personacontacto						=isset($_POST["personacontacto"])? limpiarCadena($_POST["personacontacto"]):"";
	$personarecibe							=isset($_POST["personarecibe"])? limpiarCadena($_POST["personarecibe"]):"";
	$observaciones							=isset($_POST["observaciones"])? limpiarCadena($_POST["observaciones"]):"";
	$idpersona1									=isset($_POST["idpersona1"])? limpiarCadena($_POST["idpersona1"]):"";

	$personacontactocedula			=isset($_POST["personacontactocedula"])? limpiarCadena($_POST["personacontactocedula"]):"";
	$personacontactotelefono		=isset($_POST["personacontactotelefono"])? limpiarCadena($_POST["personacontactotelefono"]):"";
}
//Para cliente Información Financiera
/*	idtipocadena,idtipocliente,idfrecuenciavisita,iddiasdevisita,iddiasderecepcion,idhorarioderecepcion,iddiasdecredito,idestado,
		idgerente,personacontacto,personarecibe,observacionespersonarecibe,idpersona1,tipo_persona1,*/

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idpersona)) {
			//persona        insertar($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$resenaendollar,$idlistaprecio,$idvendedor)
			$rspta=$persona->insertar($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$contribuyentep,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$resenaendollar,$idlistaprecio,$idvendedor,$nombref,$idestado,$idusuario);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			//               editar($idpersona,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$resenaendollar,$idlistaprecio,$idvendedor)
			$rspta=$persona->editar($idpersona,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$contribuyentep,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$resenaendollar,$idlistaprecio,$idvendedor,$nombref,$idestado,$idusuario);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;

	case 'guardaryeditarclienteYdespacho':
		if (empty($idpersona)) {
			$rspta=$persona->insertarclienteYdespacho($tipo_persona,$nombre,$nombref,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$idzona,$_POST["nombred"],$_POST["tipo_documentod"],$_POST["num_documentod"],$_POST["direcciond"],$_POST["telefonod"],$_POST["emaild"],$_POST["licencia_licord"],$_POST["cproveedor"],$resenaendollar,$idlistaprecio,$idvendedor,$idestado,$idusuario);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			 $rspta=$persona->editarclienteYdespacho($idpersona,$tipo_persona,$nombre,$nombref,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$idzona,$_POST["nombred"],$_POST["tipo_documentod"],$_POST["num_documentod"],$_POST["direcciond"],$_POST["telefonod"],$_POST["emaild"],$_POST["licencia_licord"],$_POST["idclientedespacho"],$_POST["despachoeliminar"],$_POST["cproveedor"],$resenaendollar,$idlistaprecio,$idvendedor,$idestado,$idusuario,$fecha_hora);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;

	case 'guardaryeditarclientedatosfinanciero':
		if (empty($idpersona2)) {
			echo "Debe registar primero el cliente";
		}else{
			if (empty($idpersona1)) {
				$rspta=$persona->insertarclientedatosfinanciero($idpersona2,$idtipocadena,$idtipocliente,$idfrecuenciavisita,$iddiasdevisita,$iddiasderecepcion,$idhorarioderecepcion,$iddiasdecredito,$idgerente,$personacontacto,$personarecibe,$observaciones,$personacontactocedula,$personacontactotelefono);
				echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
			}else{
				 $rspta=$persona->editarclientedatosfinanciero($idpersona1,$idtipocadena,$idtipocliente,$idfrecuenciavisita,$iddiasdevisita,$iddiasderecepcion,$idhorarioderecepcion,$iddiasdecredito,$idgerente,$personacontacto,$personarecibe,$observaciones,$personacontactocedula,$personacontactotelefono);
				echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
			}
		}
	break;

	case 'guardaryeditarproveedorimpuesto':
		if (empty($idpersona2)) {
			echo "Debe registar primero el Proveedor";
		}else{
		 $rspta=$persona->editarproveedorimpuesto($idpersona2,$idpersonaislr,$islr,$contribuyente,$contribuyentep);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	
	

	case 'eliminar':
		$rspta=$persona->eliminar($idpersona);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;

	case 'desactivar':
		$rspta=$persona->desactivar($idpersona,$idusuario);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta=$persona->activar($idpersona,$idusuario);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$persona->mostrar($idpersona);
		echo json_encode($rspta);
	break;

	case 'mostrarr':
		$rspta=$persona->mostrarr($idpersona);
		echo json_encode($rspta);
	break;

	case 'mostrarfinanciero':
		$rspta=$persona->mostrarfinanciero($idpersona);
		echo json_encode($rspta);
	break;

			
	case 'buscarcliente':
		$rspta=$persona->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'buscarclienteid':
		$rspta=$persona->buscarclienteid($idpersona);
		echo json_encode($rspta);
	break;

	case 'buscarclientepordombre':
		$rspta=$persona->buscarclientepordombre($nombre);
		echo json_encode($rspta);
	break;

	case 'buscarproveedorid':
		$rspta=$persona->buscarclienteid($idpersona);
		echo json_encode($rspta);
	break;
	

	case 'verificarrutavendedor':
		$rspta	=$persona->verificarrutavendedor($idusuario);
		$reg	 	= $rspta->fetch_object();
		if($reg->novisita>0){
			$estado='no';
		}else {
			$estado	='si';
		}
		//echo $rspta ? "no" : "si";
		echo $estado;
	break;

	case 'buscardespachoid':
		$rspta=$persona->buscardespachoid($idpersona);
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idclientedespacho.'>'.$reg->nombred.'</option>';
		}
	break;

	/* case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarc();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break; */
	
	case 'buscarproveedor':
		$rspta=$persona->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'listarDetalle':
		//recibimos el idventa
		$id		=$_GET['id'];
		$cont	=1;
		$cont1	=0;
		$rspta	=$persona->listarDetalle($id);
		while ($reg=$rspta->fetch_object()) {
			
			if ($reg->tipo_documentod=='RIF'){
				$opcion = '<option value="RIF" selected="selected">JURÍDICA</option>'.
						  		'<option value="CEDULA">CÉDULA</option>'.
									'<option value="GUB" >GUBERNAMENTAL</option>';
			}else{
				if ($reg->tipo_documentod=='GUB'){
					$opcion = '<option value="RIF">JURÍDICA</option>'.
										'<option value="CEDULA">CÉDULA</option>'.
										'<option value="GUB" selected="selected">GUBERNAMENTAL</option>';
				}else{
					$opcion = '<option value="RIF">JURÍDICA</option>'.
										'<option value="CEDULA" selected="selected">CÉDULA</option>'.
										'<option value="GUB" >GUBERNAMENTAL</option>';
				}
			}
			if ($cont==1){
				$eliminar = '<div class="form-group col-lg-1 col-md-1 col-xs-12>
								
								<input type="hidden" name="checkboxeliminar[]" id="checkboxeliminar[]" value="no">
								<input type="hidden" name="despachoeliminar[]" id="despachoeliminar[]" value="no">
							</div>';
			}else{
				$eliminar = '<div class="form-group col-lg-1 col-md-1 col-xs-12>
								<badge for="">Eliminar</badge>
								<br>
								<input type="checkbox" name="checkboxeliminar[]" id="checkboxeliminar[]" value="no" onchange="change_checkbox('.$cont1.',this)">
								<input type="hidden" name="despachoeliminar[]" id="despachoeliminar[]" value="no">
							</div>';
			}
			echo '<tr class="filas" id="fila'.$cont.'">
			<td>
			<input type="hidden" name="idclientedespacho[]" id="idclientedespacho[]" value="'.$reg->idclientedespacho.'">				
			<div class="form-group col-lg-2 col-md-2 col-xs-12">
				<badge for="">Tipo Documento</badge>
					<select class="form-control select-picker" name="tipo_documentod[]" id="tipo_documentod[]" required>'
					.$opcion.
					'</select>
			</div>
			<div class="form-group col-lg-2 col-md-2 col-xs-12">
				<badge for="">Nro Documento</badge>
				<input class="form-control" type="text" name="num_documentod[]" id="num_documentod[]"  value="'.$reg->num_documentod.'">
			</div>
			<div class="form-group col-lg-6 col-md-6 col-xs-12">
				<badge for="">Nombre (Razón Social)</badge>
				<input class="form-control" type="text" name="nombred[]" id="nombred[]"  value="'.$reg->nombred.'" required>
			</div>
			<div class="form-group col-lg-2 col-md-2 col-xs-12">
				<badge for="">Licencia de Licor</badge>
				<input class="form-control" type="text" name="licencia_licord[]" id="licencia_licord[]"  value="'.$reg->licencia_licord.'">
			</div>
			<div class="form-group col-lg-5 col-md-5 col-xs-12">
				<badge for="">Dirección</badge>
				<input class="form-control" type="text" name="direcciond[]" id="direcciond[]" value="'.$reg->direcciond.'">
			</div>
			<div class="form-group col-lg-2 col-md-2 col-xs-12">
				<badge for="">Teléfono</badge>
				<input class="form-control" type="text" name="telefonod[]" id="telefonod[]"  value="'.$reg->telefonod.'">
			</div>
			<div class="form-group col-lg-2 col-md-2 col-xs-12">
				<badge for="">Email</badge>
				<input class="form-control" type="text" name="emaild[]" id="emaild[]" value="'.$reg->emaild.'">
			</div>
			<div class="form-group col-lg-2 col-md-2 col-xs-12">
				<badge for="">Cod. Proveedor</badge>
				<input class="form-control" type="text" name="cproveedor[]" id="cproveedor[]"  value="'.$reg->cproveedor.'">
			</div>
			
			'
			.$eliminar.
			'</td>
			</tr>';
			$cont++;
			$cont1++;
		}
		
	break;


	case 'listarp':
		$rspta=$persona->listarp();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarpi':
		$rspta=$persona->listarpi();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;



	case 'listarpii':
		$rspta=$persona->listarpii();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarpf':
		$rspta=$persona->listarpf();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarm':
		$rspta=$persona->listarm();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarc':
		$rspta=$persona->listarctodos();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$colorestado='<span class="badge bg-green">Habilitado</span>';
			if ($reg->condicion==0){
				$colorestado='<span class="badge bg-red">Deshabilitado</span>';
			}
			$data[]=array(
            /* "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>', */
            "0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'	<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idpersona.')">	<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'	<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idpersona.')">	<i class="fa fa-check"></i></button>',
						"1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email,
						"6"=>$colorestado
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarcnoactivo':
		$rspta=$persona->listarcnoactivo();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$colorestado='<span class="badge bg-green">Habilitado</span>';
			if ($reg->condicion==0){
				$colorestado='<span class="badge bg-red">Deshabilitado</span>';
			}
			$data[]=array(
            /* "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>', */
            "0"=>'<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idpersona.')">	<i class="fa fa-check"></i></button>',
						"1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email,
						"6"=>$colorestado
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'selectpersonaislr':
		require_once "../modelos/Personaislr.php";
		$personaisrl 	= new Personaislr();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione el tipo de Persona';
		$rspta 				= $personaisrl->select();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			//echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'-'.$reg->nombred.'</option>';
			echo '<option value='.$reg->idpersonaislr.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'listaiddocumento':
		$rspta=$persona->listarctodos();
		while ($reg=$rspta->fetch_object()) {
			$persona = $reg->idpersona.'-'.$reg->tipo_documento.'-'.$reg->num_documento.'-'.$reg->condicion;
			echo '<input type="hidden" name="listaiddocumento[]" id="listaiddocumento[]" value="'.$persona.'"></input>';
		}
	break;
	
	//Listar los clientes por dia de visita
	case 'listarclientepordiavisita':
		//
		$rsptve	=$persona->listarclientepordiavisitasolovendedores();
		
		//Cabcera
		
		$encabezado='<div class="box box-primary">
					<div class="box-header ui-sortable-handle" style="cursor: move;">
						<i class="ion ion-clipboard"></i>

						<h3 class="box-title">Clientes por Vendedores</h3>

						<div class="box-tools pull-right" data-toggle="tooltip" title="" data-original-title="Status">
							<div class="btn-group" data-toggle="btn-toggle">
								
								<a href="reportes/informecontroldevisita1.php" target="_blank" class="btn btn-default"><i class="fa fa-print"></i> Reporte de Control de Visita</a>
							</div>
						</div>
					</div>
					<!-- /.box-header -->
            		<div class="box-body">	
					<div class="nav-tabs-custom">
                    <ul class="nav nav-tabs pull-right">';

		//Armamos la cabecera de los tab
		$tab='';
		$nrotab=1;
		$vendedores = [];
		$inicio=true;
		while ($regve=$rsptve->fetch_object()) {
			if($inicio){
				$tab = $tab.'<li class="active"><a href="#tab_'.$nrotab.'" data-toggle="tab">'.$regve->vendedor.'</a></li>';
				$inicio=false;
			}else{
				$tab = $tab.'<li class=""><a href="#tab_'.$nrotab.'" data-toggle="tab">'.$regve->vendedor.'</a></li>';
			}
			
			$nrotab=$nrotab+1;
			$vendedores[] = $regve->idvendedor;
		}
		//Fin de tab y incicio de contenido de tab
		$fintab='</ul>
                <div class="tab-content">';

		//Inicio para los contenido de los tab
		//For para recorrer los vendedores
		$tabs='';
		$primero=true;
		$nrotab=1;
		foreach ($vendedores as $idvendedor) {
			$cont=1;
			$tabc='';
			$tabc11='';
			$tabc12='';
			$tabc1='';
			$td1='';
			$td2='';
			
			//Buscamos los clientes para cada vendedor
			//p.idvendedor,
			//v.nombre as vendedor,
			//p.idpersona,
			//p.nombre as cliente,
			//'' as fecha,
			//'' as personacontacto,
			//'' as telefono,
			//'' as observacion,
			//MAX(CASE WHEN d.dia = 'Lunes' THEN 'X' ELSE '' END) AS Lunes,
			//<span class="badge bg-light-blue">30%</span>
			//<span class="label label-primary">4</span>
			$rspta	=$persona->listarclientepordiavisita($idvendedor);
			$datoscontrol = [];
			$cambio ='no';
			while ($reg=$rspta->fetch_object()) {
				$cliente = $reg->cliente;
				$data=$cambio.'/'.$reg->idpersona.'/'.$reg->idvendedor.'/'.$reg->dia.'/'.$reg->fecha.'/'.$reg->personacontacto.'/'.$reg->telefono.'/'.$reg->observacion;
				$tr='<tr>
							<td>'.$cliente.'
								<input type="hidden" name="cliente[]" id="cliente[]" value="'.$data.'"></input>
							</td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Lunes.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Martes.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Miercoles.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Jueves.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Viernes.'</span></td>
							
						</tr>';

						/* <td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="date" name="fechavisita[]" id="fechavisita[]" value=""></input></td>
							<td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="text" name="personacontacto[]" id="personacontacto[]" value="'.$reg->personacontacto.'"></input></td>
							<td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="text" name="telefono[]" id="telefono[]" value="'.$reg->telefono.'"></input></td>
							<td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="text" name="observacion[]" id="observacion[]" value="'.$reg->observacion.'"></input></td> */
				
				
				if($cont==1){
					//$idvendedor = $reg->idvendedor;
					$vendedor = $reg->vendedor;
					if($primero){
						$tabc11='<div class="tab-pane active" id="tab_'.$nrotab.'">';
						$primero=false;	
					}else{
						$tabc11='<div class="tab-pane" id="tab_'.$nrotab.'">';
					}
					$tabc12='<table class="table table-bordered table-condensed table-hover">
							<tbody>
								<tr style="background-color: #666666; color: white;">
									<td rowspan="2" style="text-align:center" valign="middle">CLIENTE</td>
									<td colspan="5" style="text-align:center" valign="middle">DÍA SUGERIDO</td>
									
									
								</tr>
								<tr style="background-color: #666666; color: white;">
									<td style="text-align:center" valign="middle">LUNES</td>
									<td style="text-align:center" valign="middle">MARTES</td>
									<td style="text-align:center" valign="middle">MIERCOLES</td>
									<td style="text-align:center" valign="middle">JUEVES</td>
									<td style="text-align:center" valign="middle">VIERNES</td>
								</tr>';

								/* 
								<td rowspan="2" style="text-align:center" valign="middle">FECHA DE VISITA</td>
									<td rowspan="2" style="text-align:center" valign="middle">PERSONA CONTACTO</td>
									<td rowspan="2" style="text-align:center" valign="middle">TELEFONO</td>
									<td rowspan="2" style="text-align:center" valign="middle">OBSERVACION</td>
								*/
							
					$tabc=$tabc11.$tabc12;
					$td1=$tr;
				}else{
					$td2=$td2.$tr;
				};
				$cont=$cont+1;
				
			}
			//Cerramos la tabla y el div
			$tabc1='</tbody>
                  	<tfoot>
						<th></th>
						
                  	</tfoot> 
					</table>
			</div>';
			$tabs=$tabs.$tabc.$td1.$td2.$tabc1;
			$nrotab=$nrotab+1;
		}

		//Pie y cierre de tab y div
		$pie='<!-- /.tab-pane -->
                    </div>
                    <!-- /.tab-content -->
                	</div>
				</div>
            	<!-- /.box-body -->
            	<div class="box-footer clearfix no-border">
              		
            	</div>
          		</div>';

		echo $encabezado.$tab.$fintab.$tabs.$pie;
		
				/*
		echo '<div class="nav-tabs-custom">
                    <ul class="nav nav-tabs pull-right">
                    <li class=""><a href="#tab_1-1" data-toggle="tab" aria-expanded="false">Tab 1</a></li>
                    <li class=""><a href="#tab_2-2" data-toggle="tab" aria-expanded="false">Tab 2</a></li>
                    <li class="active"><a href="#tab_3-2" data-toggle="tab" aria-expanded="true">Tab 3</a></li>
                    
                    <li class="pull-left header"><i class="fa fa-th"></i> Día de Visita</li>
                    </ul>
                    <div class="tab-content">
						<div class="tab-pane" id="tab_1-1">
							<b>Vendedor1</b>

							
						</div>
						<!-- /.tab-pane -->
						<div class="tab-pane" id="tab_2-2">
							<b>Vendedor2</b>
						
						</div>
						<!-- /.tab-pane -->
						<div class="tab-pane active" id="tab_3-2">
							<b>Vendedor3</b>
						
						</div>
                    <!-- /.tab-pane -->
                    </div>
                    <!-- /.tab-content -->
                </div>';
		*/
	break;

	//Listar los clientes por dia de visita
	case 'listarclientepordiavisita':
		//
		$rsptve	=$persona->listarclientepordiavisitasolovendedores();
		
		//Cabcera
		
		$encabezado='<div class="box box-primary">
					<div class="box-header ui-sortable-handle" style="cursor: move;">
						<i class="ion ion-clipboard"></i>

						<h3 class="box-title">Clientes por Vendedores</h3>

						<div class="box-tools pull-right" data-toggle="tooltip" title="" data-original-title="Status">
							<div class="btn-group" data-toggle="btn-toggle">
								
								<a href="reportes/informecontroldevisita1.php" target="_blank" class="btn btn-default"><i class="fa fa-print"></i> Reporte de Control de Visita</a>
							</div>
						</div>
					</div>
					<!-- /.box-header -->
            		<div class="box-body">	
					<div class="nav-tabs-custom">
                    <ul class="nav nav-tabs pull-right">';

		//Armamos la cabecera de los tab
		$tab='';
		$nrotab=1;
		$vendedores = [];
		$inicio=true;
		while ($regve=$rsptve->fetch_object()) {
			if($inicio){
				$tab = $tab.'<li class="active"><a href="#tab_'.$nrotab.'" data-toggle="tab">'.$regve->vendedor.'</a></li>';
				$inicio=false;
			}else{
				$tab = $tab.'<li class=""><a href="#tab_'.$nrotab.'" data-toggle="tab">'.$regve->vendedor.'</a></li>';
			}
			
			$nrotab=$nrotab+1;
			$vendedores[] = $regve->idvendedor;
		}
		//Fin de tab y incicio de contenido de tab
		$fintab='</ul>
                <div class="tab-content">';

		//Inicio para los contenido de los tab
		//For para recorrer los vendedores
		$tabs='';
		$primero=true;
		$nrotab=1;
		foreach ($vendedores as $idvendedor) {
			$cont=1;
			$tabc='';
			$tabc11='';
			$tabc12='';
			$tabc1='';
			$td1='';
			$td2='';
			
			//Buscamos los clientes para cada vendedor
			//p.idvendedor,
			//v.nombre as vendedor,
			//p.idpersona,
			//p.nombre as cliente,
			//'' as fecha,
			//'' as personacontacto,
			//'' as telefono,
			//'' as observacion,
			//MAX(CASE WHEN d.dia = 'Lunes' THEN 'X' ELSE '' END) AS Lunes,
			//<span class="badge bg-light-blue">30%</span>
			//<span class="label label-primary">4</span>
			$rspta	=$persona->listarclientepordiavisita($idvendedor);
			$datoscontrol = [];
			$cambio ='no';
			while ($reg=$rspta->fetch_object()) {
				$cliente = $reg->cliente;
				$data=$cambio.'/'.$reg->idpersona.'/'.$reg->idvendedor.'/'.$reg->dia.'/'.$reg->fecha.'/'.$reg->personacontacto.'/'.$reg->telefono.'/'.$reg->observacion;
				$tr='<tr>
							<td>'.$cliente.'
								<input type="hidden" name="cliente[]" id="cliente[]" value="'.$data.'"></input>
							</td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Lunes.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Martes.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Miercoles.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Jueves.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Viernes.'</span></td>
							
						</tr>';

						/* <td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="date" name="fechavisita[]" id="fechavisita[]" value=""></input></td>
							<td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="text" name="personacontacto[]" id="personacontacto[]" value="'.$reg->personacontacto.'"></input></td>
							<td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="text" name="telefono[]" id="telefono[]" value="'.$reg->telefono.'"></input></td>
							<td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="text" name="observacion[]" id="observacion[]" value="'.$reg->observacion.'"></input></td> */
				
				
				if($cont==1){
					//$idvendedor = $reg->idvendedor;
					$vendedor = $reg->vendedor;
					if($primero){
						$tabc11='<div class="tab-pane active" id="tab_'.$nrotab.'">';
						$primero=false;	
					}else{
						$tabc11='<div class="tab-pane" id="tab_'.$nrotab.'">';
					}
					$tabc12='<table class="table table-bordered table-condensed table-hover">
							<tbody>
								<tr style="background-color: #666666; color: white;">
									<td rowspan="2" style="text-align:center" valign="middle">CLIENTE</td>
									<td colspan="5" style="text-align:center" valign="middle">DÍA SUGERIDO</td>
									
									
								</tr>
								<tr style="background-color: #666666; color: white;">
									<td style="text-align:center" valign="middle">LUNES</td>
									<td style="text-align:center" valign="middle">MARTES</td>
									<td style="text-align:center" valign="middle">MIERCOLES</td>
									<td style="text-align:center" valign="middle">JUEVES</td>
									<td style="text-align:center" valign="middle">VIERNES</td>
								</tr>';

								/* 
								<td rowspan="2" style="text-align:center" valign="middle">FECHA DE VISITA</td>
									<td rowspan="2" style="text-align:center" valign="middle">PERSONA CONTACTO</td>
									<td rowspan="2" style="text-align:center" valign="middle">TELEFONO</td>
									<td rowspan="2" style="text-align:center" valign="middle">OBSERVACION</td>
								*/
							
					$tabc=$tabc11.$tabc12;
					$td1=$tr;
				}else{
					$td2=$td2.$tr;
				};
				$cont=$cont+1;
				
			}
			//Cerramos la tabla y el div
			$tabc1='</tbody>
                  	<tfoot>
						<th></th>
						
                  	</tfoot> 
					</table>
			</div>';
			$tabs=$tabs.$tabc.$td1.$td2.$tabc1;
			$nrotab=$nrotab+1;
		}

		//Pie y cierre de tab y div
		$pie='<!-- /.tab-pane -->
                    </div>
                    <!-- /.tab-content -->
                	</div>
				</div>
            	<!-- /.box-body -->
            	<div class="box-footer clearfix no-border">
              		
            	</div>
          		</div>';

		echo $encabezado.$tab.$fintab.$tabs.$pie;
		
				/*
		echo '<div class="nav-tabs-custom">
                    <ul class="nav nav-tabs pull-right">
                    <li class=""><a href="#tab_1-1" data-toggle="tab" aria-expanded="false">Tab 1</a></li>
                    <li class=""><a href="#tab_2-2" data-toggle="tab" aria-expanded="false">Tab 2</a></li>
                    <li class="active"><a href="#tab_3-2" data-toggle="tab" aria-expanded="true">Tab 3</a></li>
                    
                    <li class="pull-left header"><i class="fa fa-th"></i> Día de Visita</li>
                    </ul>
                    <div class="tab-content">
						<div class="tab-pane" id="tab_1-1">
							<b>Vendedor1</b>

							
						</div>
						<!-- /.tab-pane -->
						<div class="tab-pane" id="tab_2-2">
							<b>Vendedor2</b>
						
						</div>
						<!-- /.tab-pane -->
						<div class="tab-pane active" id="tab_3-2">
							<b>Vendedor3</b>
						
						</div>
                    <!-- /.tab-pane -->
                    </div>
                    <!-- /.tab-content -->
                </div>';
		*/
	break;

	//Control de visita
	
	case 'listarclientepordiavisitaid':
		// se resive el parametro de idcontrolvisita
		$idcontrolvisita	=	$_POST["idcontrolvisita"];
		$rsptve	=$persona->listarclientepordiavisitasolovendedores();
		
		//Cabcera
		$encabezado='<div class="box box-primary">
					<div class="box-header ui-sortable-handle" style="cursor: move;">
						<i class="ion ion-clipboard"></i>
						<h3 class="box-title">Vendedores por Cliente</h3>
						
					</div>
					<!-- /.box-header -->
            		<div class="box-body">	
					<div class="nav-tabs-custom">
                    <ul class="nav nav-tabs pull-right">';

		//Armamos la cabecera de los tab
		$tab='';
		$nrotab=1;
		$vendedores = [];
		$inicio=true;
		while ($regve=$rsptve->fetch_object()) {
			if($inicio){
				$tab = $tab.'<li class="active"><a href="#tab_'.$nrotab.'" data-toggle="tab">'.$regve->vendedor.'</a></li>';
				$inicio=false;
			}else{
				$tab = $tab.'<li class=""><a href="#tab_'.$nrotab.'" data-toggle="tab">'.$regve->vendedor.'</a></li>';
			}
			
			$nrotab=$nrotab+1;
			$vendedores[] = $regve->idvendedor;
		}
		//Fin de tab y incicio de contenido de tab
		$fintab='</ul>
                <div class="tab-content">';

		//Inicio para los contenido de los tab
		//For para recorrer los vendedores
		$tabs='';
		$primero=true;
		$nrotab=1;
		foreach ($vendedores as $idvendedor) {
			$cont=1;
			$tabc='';
			$tabc11='';
			$tabc12='';
			$tabc1='';
			$td1='';
			$td2='';
			
			//Buscamos los clientes para cada vendedor
			//p.idvendedor,
			//v.nombre as vendedor,
			//p.idpersona,
			//p.nombre as cliente,
			//'' as fecha,
			//'' as personacontacto,
			//'' as telefono,
			//'' as observacion,
			//MAX(CASE WHEN d.dia = 'Lunes' THEN 'X' ELSE '' END) AS Lunes,
			
			$rspta	=$persona->listarclientepordiavisitaid($idvendedor,$idcontrolvisita);
			$datoscontrol = [];
			$cambio ='no';
			while ($reg=$rspta->fetch_object()) {
				$cliente = $reg->cliente;
				$data=$cambio.'/'.$reg->idpersona.'/'.$reg->idvendedor.'/'.$reg->dia.'/'.$reg->fecha.'/'.$reg->personacontacto.'/'.$reg->telefono.'/'.$reg->observacion;
				$tr='<tr>
							<td>'.$cliente.'
								<input type="hidden" name="cliente[]" id="cliente[]" value="'.$data.'"></input>
							</td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Lunes.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Martes.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Miercoles.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Jueves.'</span></td>
							<td style="text-align:center" valign="middle"><span class="label label-primary">'.$reg->Viernes.'</span></td>
							<td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="date" name="fechavisita[]" id="fechavisita[]" value="'.$reg->fecha.'"></input></td>
							<td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="text" name="personacontacto[]" id="personacontacto[]" value="'.$reg->personacontacto.'"></input></td>
							<td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="text" name="telefono[]" id="telefono[]" value="'.$reg->telefono.'"></input></td>
							<td style="text-align:center" valign="middle"><input style="border: none; background-color: #d0fdd7; color: #5e5959;" type="text" name="observacion[]" id="observacion[]" value="'.$reg->observacion.'"></input></td>
						</tr>';
				
				
				if($cont==1){
					//$idvendedor = $reg->idvendedor;
					$vendedor = $reg->vendedor;
					if($primero){
						$tabc11='<div class="tab-pane active" id="tab_'.$nrotab.'">';
						$primero=false;	
					}else{
						$tabc11='<div class="tab-pane" id="tab_'.$nrotab.'">';
					}
					$tabc12='<table class="table table-bordered table-condensed table-hover">
							
							<tbody>
								<tr style="background-color: #666666; color: white;">
									<td rowspan="2" style="text-align:center" valign="middle">CLIENTE</td>
									<td colspan="5" style="text-align:center" valign="middle">DÍA SUGERIDO</td>
									<td rowspan="2" style="text-align:center" valign="middle">FECHA DE VISITA</td>
									<td rowspan="2" style="text-align:center" valign="middle">PERSONA CONTACTO</td>
									<td rowspan="2" style="text-align:center" valign="middle">TELEFONO</td>
									<td rowspan="2" style="text-align:center" valign="middle">OBSERVACION</td>
									
								</tr>
								<tr style="background-color: #666666; color: white;">
									<td style="text-align:center" valign="middle">LU</td>
									<td style="text-align:center" valign="middle">MA</td>
									<td style="text-align:center" valign="middle">MI</td>
									<td style="text-align:center" valign="middle">JU</td>
									<td style="text-align:center" valign="middle">VI</td>
								</tr>';
							
					$tabc=$tabc11.$tabc12;
					$td1=$tr;
				}else{
					$td2=$td2.$tr;
				};
				$cont=$cont+1;
				
			}
			//Cerramos la tabla y el div
			$tabc1='</tbody>
                  	<tfoot>
						<th></th>
						
                  	</tfoot> 
					</table>
			</div>';
			$tabs=$tabs.$tabc.$td1.$td2.$tabc1;
			$nrotab=$nrotab+1;
		}

		//Pie y cierre de tab y div
		$pie='<!-- /.tab-pane -->
                    </div>
                    <!-- /.tab-content -->
                	</div>
				</div>
            	<!-- /.box-body -->
            	<div class="box-footer clearfix no-border">
              		
            	</div>
          		</div>';

		echo $encabezado.$tab.$fintab.$tabs.$pie;
		
				/*
		echo '<div class="nav-tabs-custom">
                    <ul class="nav nav-tabs pull-right">
                    <li class=""><a href="#tab_1-1" data-toggle="tab" aria-expanded="false">Tab 1</a></li>
                    <li class=""><a href="#tab_2-2" data-toggle="tab" aria-expanded="false">Tab 2</a></li>
                    <li class="active"><a href="#tab_3-2" data-toggle="tab" aria-expanded="true">Tab 3</a></li>
                    
                    <li class="pull-left header"><i class="fa fa-th"></i> Día de Visita</li>
                    </ul>
                    <div class="tab-content">
						<div class="tab-pane" id="tab_1-1">
							<b>Vendedor1</b>

							
						</div>
						<!-- /.tab-pane -->
						<div class="tab-pane" id="tab_2-2">
							<b>Vendedor2</b>
						
						</div>
						<!-- /.tab-pane -->
						<div class="tab-pane active" id="tab_3-2">
							<b>Vendedor3</b>
						
						</div>
                    <!-- /.tab-pane -->
                    </div>
                    <!-- /.tab-content -->
                </div>';
		*/
	break;

	case 'listarclientepordiavisitatodos':
		$rspta=$persona->listarclientepordiavisitatodos();
		$data=Array();
		$cont		=0;
		$this1	='this';

		while ($reg=$rspta->fetch_object()) {
			//$valor = $cont.'-'.$reg->idventa.'-'.$reg->num_comprobante1.'-no';
			$valor =$reg->idpersona."-".$reg->idpersona."-".$reg->idvendedor;
			$cliente=$reg->idpersona."/".$reg->idpersona."/".$reg->idvendedor;
			$data[]=array(
						"0"=>
						'<div class="input-group"><span class="input-group-addon"><button class="btn btn-info btn-xs" onclick="actualizarfecha('.$reg->idpersona.','.$reg->idvendedor.',\''.$reg->cliente.'\')"><i class="fa fa-plus"></i></button></span>'
						.' '.
						'<div class="input-group"><span class="input-group-addon"><button class="btn bg-yellow btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-eye"></i></button></span>'
						.' '.
						'<span class="input-group-addon"><input class="flat-red" type="checkbox" name="iddocumento[]" id="iddocumento[]"  value="'.$valor.'"></span>'
						.
						'
						<input type="hidden" name="iddocumentog1[]" id="iddocumentog1[]"  value="'.$valor.'">
						<input type="hidden" name="clienteg[]" id="clienteg[]"  value="'.$cliente.'">
                        <input type="hidden" name="fechavisitag[]" id="fechavisitag[]"  value="'.$reg->fechavisitaultima.'">
                        <input type="hidden" name="personacontactog[]" id="personacontactog[]" value="">
                        <input type="hidden" name="telefonog[]" id="telefonog[]" value="">
                        <input type="hidden" name="observaciong[]" id="observaciong[]"  value="">
						</div>',
						"1"=>'<div align="left">'.substr($reg->cliente,0,50).'</div>',
						"2"=>'<div align="center">'.$reg->idpersona.'</div>',
						"3"=>'<div align="left">'.$reg->vendedor.'</div>',
						"4"=>'<div align="center">'.$reg->numerodevisita.'</div>',
						"5"=>'<div align="center">'.$reg->numerodecxc.'</div>',
						"6"=>'<div align="center">'.$reg->fechavisitaultima.'</div>',
						"7"=>'<div align="center">'.$reg->fechaventaultima.'</div>',
						//"8"=>$colorestado,
						//"9"=>$reg->total_ventaimpuestod
						//"7"=>($reg->estado!='Anulado')?'<span class="badge bg-green">'.$estado.'</span>':'<span class="badge bg-red">Anulado</span>'
						
							);
			$cont+=1;
			
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'mostrarclientevendedor':
		$rspta=$persona->mostrarclientevendedor($idpersona);
		echo json_encode($rspta);
	break;

}
 ?>